package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCertChaLostMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCertChaLost;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCertChaLostService;

@Service
public class BisTtsaCertChaLostServiceImpl implements IBisTtsaCertChaLostService {
    @Autowired
    private BisTtsaCertChaLostMapper bisTtsaCertChaLostMapper;

    @Override
    public BisTtsaCertChaLost selectBisTtsaCertChaLostByGuid(String guid) {
        return bisTtsaCertChaLostMapper.selectBisTtsaCertChaLostByGuid(guid);
    }

    @Override
    public List<BisTtsaCertChaLost> selectBisTtsaCertChaLostList(BisTtsaCertChaLost bisTtsaCertChaLost) {
        return bisTtsaCertChaLostMapper.selectBisTtsaCertChaLostList(bisTtsaCertChaLost);
    }

    @Override
    public int insertBisTtsaCertChaLost(BisTtsaCertChaLost bisTtsaCertChaLost) {
        return bisTtsaCertChaLostMapper.insertBisTtsaCertChaLost(bisTtsaCertChaLost);
    }

    @Override
    public int updateBisTtsaCertChaLost(BisTtsaCertChaLost bisTtsaCertChaLost) {
        return bisTtsaCertChaLostMapper.updateBisTtsaCertChaLost(bisTtsaCertChaLost);
    }

    @Override
    public int deleteBisTtsaCertChaLostByGuid(String guid) {
        return bisTtsaCertChaLostMapper.deleteBisTtsaCertChaLostByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCertChaLostByGuids(String[] guids) {
        return bisTtsaCertChaLostMapper.deleteBisTtsaCertChaLostByGuids(guids);
    }
}
